## kpilot-trinity 14.0.4

=== CMakeLists.txt ===
project(kpilot)

if(EXISTS ${CMAKE_SOURCE_DIR}/CMakeOptions.txt)
	include(${CMAKE_SOURCE_DIR}/CMakeOptions.txt)
else(EXISTS ${CMAKE_SOURCE_DIR}/CMakeOptions.txt)
	message(FATAL_ERROR "CMakeOptions.txt not found! Run configure first.")
endif(EXISTS ${CMAKE_SOURCE_DIR}/CMakeOptions.txt)

# Search our own cmake modules path first
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")

# Need 2.4.3 for its KDE3 support
# Need 2.4.4 for its fixed KDE3 support
cmake_minimum_required(VERSION 2.8 )

CONFIGURE_FILE(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)

ADD_CUSTOM_TARGET(uninstall
  "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

# Disallow in-source build
STRING(COMPARE EQUAL "${kpilot_SOURCE_DIR}" "${kpilot_BINARY_DIR}" insource)
if(insource)
	MESSAGE(FATAL_ERROR
		"KPilot requires an out of source build. Please create a separate build
directory and run 'cmake path_to_kpilot [options]' there."
	)
endif(insource)

find_package(Qt3) # find and setup Qt3 for this project

if (NOT QT_INCLUDE_DIR)
    MESSAGE(STATUS_ERROR "Qt3 package not found--assuming TQt4")
    SET(QT_INCLUDE_DIR "/usr/include/qt4" CACHE PATH "" FORCE)
endif (NOT QT_INCLUDE_DIR)
SET(QT_UIC_EXECUTABLE "/usr/bin/uic-tqt")
SET(QT_MOC_EXECUTABLE "/usr/bin/tmoc")

find_package(KDE3 REQUIRED) # find and setup KDE3 for this project
find_package(Pilotlink REQUIRED)
find_package(Mal) # see if mal is available, but it's not required

add_definitions(
	${QT_DEFINITIONS}
	${KDE3_DEFINITIONS}
	-DQT_THREAD_SUPPORT
)

STRING(COMPARE EQUAL "${CMAKE_BUILD_TYPE}" "debug" builddebug)
if (NOT builddebug)
	add_definitions(-DNDEBUG)
endif(NOT builddebug)


# Get the trinity dir. This is a bit tricky, i'm not sure how well
# this works on other systems.
STRING(REPLACE "/lib" "" KDE3_DIR ${KDE3_LIB_DIR})

# TODO: INSTALL PREFIX. RIGHT NOW EVERYTHING IS INSTALLED IN $TDEDIR
if(NOT CMAKE_INSTALL_PREFIX)
	set(CMAKE_INSTALL_PREFIX ${KDE3_DIR})
endif(NOT CMAKE_INSTALL_PREFIX)
set(KDE3_KCFG_DIR ${CMAKE_INSTALL_PREFIX}/share/config.kcfg)
set(KDE3_SERVICETYPES_DIR ${CMAKE_INSTALL_PREFIX}/share/servicetypes)
set(KDE3_SERVICES_DIR ${CMAKE_INSTALL_PREFIX}/share/services)
set(KDE3_XDG_APPS_DIR ${CMAKE_INSTALL_PREFIX}/share/applications/tde)
set(KDE3_LIB_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/lib)
set(KDE3_PLUGIN_INSTALL_DIR ${KDE3_LIB_INSTALL_DIR}/trinity)

# tell cmake where to search for libraries:
link_directories(${KDE3_LIB_DIR})

# tell cmake where to search for Qt/KDE headers:
include_directories(${PILOTLINK_INCLUDE_DIR} ${KDE3_INCLUDE_DIR} ${QT_INCLUDE_DIR})

# include custom macros
INCLUDE(${CMAKE_SOURCE_DIR}/cmake/modules/KPilotCustom.cmake)

# tell cmake to process CMakeLists.txt in that subdirectory
add_subdirectory(lib)
add_subdirectory(kpilot)
add_subdirectory(conduits)


STRING(COMPARE EQUAL "${ENABLE_TESTS}" "YES" buildtests)
if (buildtests)
	MESSAGE(STATUS "BUILD: Test suite enabled.")
	enable_testing()
	add_subdirectory(tests)
else (buildtests)
	MESSAGE(STATUS "BUILD: Test suite disabled.")
endif(buildtests)

if (builddebug)
	MESSAGE(STATUS "BUILD: Debug build selected.")
else(builddebug)
	MESSAGE(STATUS "BUILD: Normal build selected.")
endif(builddebug)

MESSAGE(STATUS "BUILD: Install prefix set to ${CMAKE_INSTALL_PREFIX} .")

=== kpilot/CMakeLists.txt ===
link_directories(${CMAKE_BINARY_DIR}/lib ${CMAKE_CURRENT_BINARY_DIR})

# Don't forget to include output directory, otherwise
# the UI file won't be wrapped!
include_directories(
	${CMAKE_BINARY_DIR}/lib
	${CMAKE_SOURCE_DIR}/lib
	${CMAKE_CURRENT_BINARY_DIR}
)


###
#
# Settings (TDEConfigXT) shared between various parts of KPilot
#
set(settings_SRC
	kpilotConfig.cc
)

kde3_add_kcfg_files(settings_SRC kpilotSettings.kcfgc)

###
#
# The KCM for KPilot, used by the config dialog and the embedding in Kontact
#
set(kcmpilot_SRCS
	${settings_SRC}
	kpilotConfigWizard.cc
	dbSelectionDialog.cc
	kpilotConfigDialog.cc
	conduitConfigDialog.cc
	kpilotProbeDialog.cc
)

set(kcmpilot_KCFGS
	kpilotConfigWizard_address.kcfgc
	kpilotConfigWizard_notes.kcfgc
	kpilotConfigWizard_vcal.kcfgc
)

set(kcmpilot_UIS
	kpilotConfigDialog_device.ui
	kpilotConfigDialog_sync.ui
	kpilotConfigDialog_startup.ui
	kpilotConfigDialog_viewers.ui
	kpilotConfigDialog_backup.ui
	kpilotConfigWizard_user.ui
	kpilotConfigWizard_app.ui
	dbSelection_base.ui
)

trinity_add_ui_files(kcmpilot_SRCS ${kcmpilot_UIS})
kde3_add_kcfg_files(kcmpilot_SRCS ${kcmpilot_KCFGS})
kde3_add_dcop_stubs(kcmpilot_SRCS pilotDaemonDCOP.h)
trinity_automoc(${kcmpilot_SRCS})

# Now add these generated files to the ADD_LIBRARY step
# If this is NOT done, then the ui_*.h files will not be generated
add_library(kcm_kpilot SHARED ${kcmpilot_SRCS})
set_target_properties(kcm_kpilot PROPERTIES
	LOCATION ${KDE3_PLUGIN_INSTALL_DIR}
	PREFIX ""
)

###
#
# Most simple daemon-like application: kpilotTest, which
# runs whatever the command-line tells it to.
#
set(kpilotTest_SRCS
	${settings_SRC}
	hotSync.cc
	logWidget.cc
	pilotComponent.cc
	main-test.cc
)
# Acts as a receiver for DCOP log messages
kde3_add_dcop_skels(kpilotTest_SRCS loggerDCOP.h)

trinity_automoc(${kpilotTest_SRCS})
add_executable(kpilotTest ${kpilotTest_SRCS})
target_link_libraries(kpilotTest ${QT_LIBRARIES} kpilot tdeui tdeio)
kpilot_rpath(kpilotTest)

###
#
# The real KPilot daemon.
#
set(kpilotDaemon_SRCS
	${settings_SRC}
	hotSync.cc
	fileInstaller.cc
	internalEditorAction.cc
	logFile.cc
	pilotDaemon.cc
)
# Both sends and receives DCOP log messages. Talks to KPilot.
kde3_add_dcop_skels(kpilotDaemon_SRCS loggerDCOP.h pilotDaemonDCOP.h)
kde3_add_dcop_stubs(kpilotDaemon_SRCS loggerDCOP.h kpilotDCOP.h)
trinity_automoc(${kpilotDaemon_SRCS})
add_executable(kpilotDaemon ${kpilotDaemon_SRCS})
target_link_libraries(kpilotDaemon ${QT_LIBRARIES} kpilot tdeui tdeio)
kpilot_rpath(kpilotDaemon)

###
#
# The KPilot executable (viewer / editor / configuration).
#
set(kpilot_SRCS
	${settings_SRC}
	logWidget.cc
	kpilot.cc
	dbviewerWidget.cc
	dbFlagsEditor.cc
	dbRecordEditor.cc
	dbAppInfoEditor.cc
	pilotComponent.cc
	memoWidget.cc
	addressWidget.cc
	addressEditor.cc
	datebookWidget.cc
	todoWidget.cc
	todoEditor.cc
	fileInstaller.cc
	fileInstallWidget.cc
	listItems.cc
)

set(kpilot_UIS
	dbFlagsEditor_base.ui
	todoEditor_base.ui
)

trinity_add_ui_files(kpilot_SRCS ${kpilot_UIS})
# Talks to the daemon. Listens as itself.
kde3_add_dcop_skels(kpilot_SRCS loggerDCOP.h kpilotDCOP.h)
kde3_add_dcop_stubs(kpilot_SRCS pilotDaemonDCOP.h)
trinity_automoc(${kpilot_SRCS})
add_executable(kpilot_bin ${kpilot_SRCS})
target_link_libraries(kpilot_bin ${QT_LIBRARIES} kpilot tdeutils tdeui tdeio)
kpilot_rpath(kpilot_bin)
set_target_properties(kpilot_bin PROPERTIES
	OUTPUT_NAME kpilot
)

######################### INSTALL STUFF #######################################

trinity_install_libtool_file(kcm_kpilot)

install(
	TARGETS kcm_kpilot kpilot_bin kpilotDaemon
	LIBRARY DESTINATION ${KDE3_PLUGIN_INSTALL_DIR}
	RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin
	RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin
)

install( FILES kpilotui.rc DESTINATION ${CMAKE_INSTALL_PREFIX}/share/apps/kpilot)

install(
	FILES kpilot.desktop kpilotdaemon.desktop DESTINATION ${KDE3_XDG_APPS_DIR}
)

install(
	FILES kpilotconduit.desktop DESTINATION ${KDE3_SERVICETYPES_DIR}
)

install(
	FILES kpilot_config.desktop DESTINATION ${KDE3_SERVICES_DIR}
)

install ( 
	FILES kpilot.upd 
	DESTINATION ${CMAKE_INSTALL_PREFIX}/share/apps/tdeconf_update
)

install(
	FILES kpilot.kcfg DESTINATION ${KDE3_KCFG_DIR}
)

add_subdirectory(Icons)

=== lib/CMakeLists.txt ===
include(CheckIncludeFiles)
include(CheckFunctionExists)

check_include_files( stdint.h HAVE_STDINT_H )
check_include_files( alloca.h HAVE_ALLOCA_H )
check_include_files( "sys/time.h" HAVE_SYS_TIME_H )
check_include_files( "sys/stat.h" HAVE_SYS_STAT_H )
check_function_exists( cfsetspeed HAVE_CFSETSPEED )
check_function_exists( strdup HAVE_STRDUP )
check_function_exists( setenv HAVE_SETENV )
check_function_exists( unsetenv HAVE_UNSETENV )
check_function_exists( usleep HAVE_USLEEP )
check_function_exists( random HAVE_RANDOM )
check_function_exists( putenv HAVE_PUTENV )
check_function_exists( seteuid HAVE_SETEUID )
check_function_exists( mkstemps HAVE_MKSTEMPS )
check_function_exists( mkstemp HAVE_MKSTEMP )
check_function_exists( mkdtemp HAVE_MKDTEMP )
check_function_exists( revoke HAVE_REVOKE )
check_function_exists( strlcpy HAVE_STRLCPY )
check_function_exists( strlcat HAVE_STRLCAT )
check_function_exists( inet_aton HAVE_INET_ATON )

configure_file(
	${CMAKE_SOURCE_DIR}/config.h.cmake
	${CMAKE_CURRENT_BINARY_DIR}/config.h
)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

set(lib_SRCS
	options.cc
	plugin.cc
	syncAction.cc
	actions.cc
	actionQueue.cc
	idmapping.cc
	idmapperxml.cc
	idmapper.cc
	kpilotlink.cc
	kpilotdevicelink.cc
	kpilotlocallink.cc
	pilot.cc
	pilotAppInfo.cc
	pilotRecord.cc
	pilotDatabase.cc
	pilotLocalDatabase.cc
	pilotSerialDatabase.cc
	pilotMemo.cc
	pilotAddress.cc
	pilotDateEntry.cc
	pilotTodoEntry.cc
)

trinity_automoc(${lib_SRCS})
kde3_add_kcfg_files(lib_SRCS kpilotlibSettings.kcfgc)
add_library(kpilot SHARED ${lib_SRCS})
target_link_libraries(kpilot ${PILOTLINK_LIBRARY} ${QT_LIBRARIES} tdeui tdeio)
kpilot_rpath(kpilot)

#---------- INSTALL -----------------------*
set(kpilotinclude_HEADERS
	kpilotlink.h
	kpilotdevicelink.h
	kpilotlocallink.h
	pilot.h
	pilotDatabase.h
	pilotLinkVersion.h
	pilotLocalDatabase.h
	pilotRecord.h
	pilotSerialDatabase.h
	plugin.h
	pluginfactory.h
	syncAction.h
)

install(
	TARGETS kpilot
	LIBRARY DESTINATION ${CMAKE_INSTALL_PREFIX}/lib
)

install(
	FILES ${kpilotinclude_HEADERS}
	DESTINATION ${CMAKE_INSTALL_PREFIX}/include/kpilot
)

install(
	FILES kpilotlib.kcfg DESTINATION ${KDE3_KCFG_DIR}
)

=== tests/CMakeLists.txt ===
link_directories(${CMAKE_BINARY_DIR}/lib ${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_SOURCE_DIR}/lib ${CMAKE_BINARY_DIR}/lib)

# Tests don't need to go into toplevel/bin, they are fine in the current dir.
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

# This can be used for finding data files in the source dir
add_definitions( -DTDESRCDIR=\\"${CMAKE_CURRENT_SOURCE_DIR}\\" )


set(testconstants_SRCS testconstants.cc)
trinity_add_executable(testconstants ${testconstants_SRCS})
target_link_libraries(testconstants kpilot ${QT_LIBRARIES})
add_test(testconstants ${EXECUTABLE_OUTPUT_PATH}/testconstants)

set(testcategories_SRCS testcategories.cc)
trinity_add_executable(testcategories ${testcategories_SRCS})
target_link_libraries(testcategories kpilot ${QT_LIBRARIES})
add_test(testcategories ${EXECUTABLE_OUTPUT_PATH}/testcategories)

set(testaddresses_SRCS testaddress.cc)
trinity_add_executable(testaddresses ${testaddresses_SRCS})
target_link_libraries(testaddresses kpilot ${QT_LIBRARIES})
add_test(testaddresses ${EXECUTABLE_OUTPUT_PATH}/testaddresses)

set(testdatebook_SRCS testdatebook.cc)
trinity_add_executable(testdatebook ${testdatebook_SRCS})
target_link_libraries(testdatebook kpilot ${QT_LIBRARIES})
add_test(testdatebook ${EXECUTABLE_OUTPUT_PATH}/testdatebook)

set(testidmapper_SRCS testidmapper.cc)
trinity_add_executable(testidmapper ${testidmapper_SRCS})
target_link_libraries(testidmapper kpilot ${QT_LIBRARIES})
add_test(testidmapper ${EXECUTABLE_OUTPUT_PATH}/testidmapper)

if (HAVE_CALENDARLOCAL_H)
	set(importdatebook_SRCS importdatebook.cc)
	set(exportdatebook_SRCS exportdatebook.cc)
	set(mergecalendars_SRCS mergecalendars.cc)
	trinity_add_executable(importdatebook ${importdatebook_SRCS})
	trinity_add_executable(exportdatebook ${exportdatebook_SRCS})
	trinity_add_executable(mergecalendars ${mergecalendars_SRCS})
	target_link_libraries(importdatebook kpilot ${QT_LIBRARIES} kcal)
	target_link_libraries(exportdatebook kpilot ${QT_LIBRARIES} kcal)
	target_link_libraries(mergecalendars ${QT_LIBRARIES} kcal)
	add_test(importdatebook ${EXECUTABLE_OUTPUT_PATH}/importdatebook)
	add_test(exportdatebook ${EXECUTABLE_OUTPUT_PATH}/exportdatebook)
	add_test(mergecalendars ${EXECUTABLE_OUTPUT_PATH}/mergecalendars)
endif (HAVE_CALENDARLOCAL_H)

set(importaddresses_SRCS importaddresses.cc)
trinity_add_executable(importaddresses ${importaddresses_SRCS})
target_link_libraries(importaddresses kpilot ${QT_LIBRARIES} tdeabc tdeabc_file)
add_test(importaddresses ${EXECUTABLE_OUTPUT_PATH}/importaddresses)

=== conduits/abbrowserconduit/CMakeLists.txt ===
include_directories(
	${CMAKE_CURRENT_BINARY_DIR}
)

set(conduit_abbrowser_SRCS
	resolutionDialog.cc
	abbrowser-factory.cc
	abbrowser-setup.cc
	tdeabcRecord.cc
	abbrowser-conduit.cc
)

set(conduit_abbrowser_UIS
	resolutionDialog_base.ui
	kaddressbookConduit.ui
)

set(conduit_abbrowser_KCFGS
	abbrowserSettings.kcfgc
)

kde3_add_kcfg_files(conduit_abbrowser_SRCS ${conduit_abbrowser_KCFGS})
trinity_add_ui_files(conduit_abbrowser_SRCS ${conduit_abbrowser_UIS})
trinity_automoc(${conduit_abbrowser_SRCS})
add_library(conduit_address SHARED ${conduit_abbrowser_SRCS})
target_link_libraries(conduit_address tdeabc_file tdeabc)
set_target_properties(conduit_address PROPERTIES LOCATION ${KDE3_PLUGIN_INSTALL_DIR}
	INSTALL_RPATH ${CMAKE_INSTALL_PREFIX}/lib
	PREFIX ""
)

trinity_install_libtool_file(conduit_address)

install(
	TARGETS conduit_address
	LIBRARY DESTINATION ${KDE3_PLUGIN_INSTALL_DIR}
)

install(
	FILES abbrowser_conduit.desktop DESTINATION ${KDE3_SERVICES_DIR}
)

install(
	FILES abbrowserconduit.kcfg DESTINATION ${KDE3_KCFG_DIR}
)

=== conduits/docconduit/CMakeLists.txt ===
include_directories(
	${CMAKE_CURRENT_BINARY_DIR}
)

set(doc_shared_SRCS
	makedoc9.cc
	pilotDOCHead.cc
	pilotDOCEntry.cc
	pilotDOCBookmark.cc
	DOC-converter.cc
)

set(conduit_doc_SRCS
	${doc_shared_SRCS}
	kpalmdoc_dlg.cc
	kpalmdoc.cpp
	doc-factory.cc
	doc-setup.cc
	doc-conduit.cc
	doc-conflictdialog.cc
)

set(conduit_doc_UIS
	kpalmdoc_dlgbase.ui
	doc-setupdialog.ui
)

set(conduit_doc_KCFGS
	docconduitSettings.kcfgc
	kpalmdocSettings.kcfgc
)

kde3_add_kcfg_files(conduit_doc_SRCS ${conduit_doc_KCFGS})
trinity_add_ui_files(conduit_doc_SRCS ${conduit_doc_UIS})
trinity_automoc(${conduit_doc_SRCS})
add_library(conduit_doc SHARED ${conduit_doc_SRCS})

kpilot_rpath(conduit_doc)

set_target_properties(
	conduit_doc PROPERTIES LOCATION ${KDE3_PLUGIN_INSTALL_DIR}
	PREFIX ""
)

trinity_install_libtool_file(conduit_doc)

install(
	TARGETS conduit_doc
	LIBRARY DESTINATION ${KDE3_PLUGIN_INSTALL_DIR}
)

set(kpalmdoc_SRCS
	${doc_shared_SRCS}
	kpalmdoc_dlg.cc
	kpalmdoc.cpp
)
kde3_add_kcfg_files(kpalmdoc_SRCS kpalmdocSettings.kcfgc)
trinity_add_ui_files(kpalmdoc_SRCS kpalmdoc_dlgbase.ui)
trinity_automoc(${kpalmdoc_SRCS})
add_executable(kpalmdoc ${kpalmdoc_SRCS})
target_link_libraries(kpalmdoc ${QT_LIBRARIES} kpilot tdeui tdeio)
kpilot_rpath(kpalmdoc)

install(
	TARGETS kpalmdoc conduit_doc
	LIBRARY DESTINATION ${KDE3_PLUGIN_INSTALL_DIR}
	RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin
)

install(
	FILES doc_conduit.desktop DESTINATION ${KDE3_SERVICES_DIR}
)

install(
	FILES docconduit.kcfg kpalmdoc.kcfg DESTINATION ${KDE3_KCFG_DIR}
)

install(
	FILES kpalmdoc.desktop DESTINATION ${KDE3_XDG_APPS_DIR}
)

install(
	FILES kpalmdoc.upd
	DESTINATION ${CMAKE_INSTALL_PREFIX}/share/apps/tdeconf_update
)

add_subdirectory(Icons)

## kpilot-trinity 3.5.13.2

=== debian/changelog ===
kpilot-trinity (4:3.5.13.2-0ubuntu10.04.0+0) lucid; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 02 Jun 2013 19:01:21 +0200

kpilot-trinity (0.7-0ubuntu0) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

=== debian/control ===
Source: kpilot-trinity
Section: kde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net> 
Build-Depends: cdbs (>= 0.4.39-0.1), debhelper (>= 4.0.0), quilt, kdelibs4-trinity-dev, kdepim-trinity-dev,
               libopensync0-dev, libpisock-dev,
               bison, byacc, bzip2, flex, groff-base,
               libboost-dev (>= 1.33.1), libgpgme11-dev, liblockdev1-dev,
               automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4

Package: kpilot-trinity
Section: utils
Architecture: any
Replaces: kpilot-kde3 (<< 4:3.5.13)
Breaks: kpilot-kde3 (<< 4:3.5.13)
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf (>= 0.5) | debconf-2.0
Suggests: knotes-trinity, korganizer-trinity
Description: TDE Palm Pilot hot-sync tool
 KPilot is an application that synchronizes your Palm Pilot or similar device
 (like the Handspring Visor) with your KDE desktop, much like the Palm HotSync
 software does for Windows.  KPilot can back-up and restore your Palm Pilot
 and synchronize the built-in applications with their KDE counterparts.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include debian/cdbs/kde.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/kde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib --with-extra-includes=/opt/trinity/include/kde

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

post-patches:: debian/stamp-bootstrap

debian/stamp-bootstrap:
	! [ -f /usr/share/libtool/ltmain.sh ] || \
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
	! [ -f /usr/share/libtool/config/ltmain.sh ] || \
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
	
	make -f admin/Makefile.common cvs
	touch debian/stamp-bootstrap

## kpilot-trinity 14.0.4

=== debian/changelog ===
kpilot-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 13:40:03 +0200

=== debian/control ===
Source: kpilot-trinity
Section: tde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net> 
Build-Depends: cdbs (>= 0.4.39-0.1), debhelper (>= 7.0.50~), tdelibs14-trinity-dev, tdepim-trinity-dev,
               libopensync0-dev, libpisock-dev,
               bison, byacc, bzip2, flex, groff-base,
               libboost-dev (>= 1.33.1), libgpgme11-dev,
               automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4

Package: kpilot-trinity
Section: utils
Architecture: any
Replaces: kpilot-kde3 (<< 4:14.0.0~), kpilot-trinity (<< 4:14.0.0~)
Breaks: kpilot-kde3 (<< 4:14.0.0~), kpilot-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf (>= 0.5) | debconf-2.0
Suggests: knotes-trinity, korganizer-trinity
Description: TDE Palm Pilot hot-sync tool
 KPilot is an application that synchronizes your Palm Pilot or similar device
 (like the Handspring Visor) with your Trinity desktop, much like the Palm HotSync
 software does for Windows.  KPilot can back-up and restore your Palm Pilot
 and synchronize the built-in applications with their TDE counterparts.

Package: kpilot-trinity-dbg
Priority: extra
Architecture: any
Depends: kpilot-trinity (= ${binary:Version})
Recommends: tdelibs-trinity-dbg
Description: debugging symbols for the TDE Palm Pilot hot-sync tool
 This package provides debugging symbols for all binary packages built from the
 kpilot-trinity source package. It's highly recommended to have this package installed
 before reporting any kpilot-trinity crashes to either the TDE developers or Debian
 package maintainers.

## kpilot-trinity 14.0.5

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -3,10 +3,6 @@
 
 # Tests don't need to go into toplevel/bin, they are fine in the current dir.
 set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )
-
-# This can be used for finding data files in the source dir
-add_definitions( -DTDESRCDIR=\\"${CMAKE_CURRENT_SOURCE_DIR}\\" )
-
 
 set(testconstants_SRCS testconstants.cc)
 trinity_add_executable(testconstants ${testconstants_SRCS})

=== debian/changelog ===
kpilot-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 08:13:12 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net> 
 Build-Depends: cdbs (>= 0.4.39-0.1), debhelper (>= 7.0.50~), tdelibs14-trinity-dev, tdepim-trinity-dev,
                libopensync0-dev, libpisock-dev,
-               bison, byacc, bzip2, flex, groff-base,
-               libboost-dev (>= 1.33.1), libgpgme11-dev,
+               bison, byacc, bzip2, flex, libfl-dev | flex (<< 2.5.39), groff-base,
+               libboost-dev (>= 1.33.1), libgpgme11-dev | libgpgme-dev (>= 1.0~),
                automake, autoconf, libtool, libltdl-dev
 Standards-Version: 3.8.4

## kpilot-trinity 14.0.6

=== debian/changelog ===
kpilot-trinity (4:14.0.6-0ubuntu17.10.0+0) artful; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 02:12:03 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,8 @@
 Section: tde
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net> 
-Build-Depends: cdbs (>= 0.4.39-0.1), debhelper (>= 7.0.50~), tdelibs14-trinity-dev, tdepim-trinity-dev,
-               libopensync0-dev, libpisock-dev,
-               bison, byacc, bzip2, flex, libfl-dev | flex (<< 2.5.39), groff-base,
-               libboost-dev (>= 1.33.1), libgpgme11-dev | libgpgme-dev (>= 1.0~),
-               automake, autoconf, libtool, libltdl-dev
+Build-Depends: cdbs (>= 0.4.39-0.1), debhelper (>= 7.0.50~), quilt, cmake,
+ tdelibs14-trinity-dev, tdepim-trinity-dev, libpisock-dev
 Standards-Version: 3.8.4
 
 Package: kpilot-trinity

## kpilot-trinity 14.0.8

=== debian/changelog ===
kpilot-trinity (4:14.0.8-0ubuntu12.04.0+0) precise; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 11 Apr 2020 01:07:32 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tde
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net> 
-Build-Depends: cdbs (>= 0.4.39-0.1), debhelper (>= 7.0.50~), quilt, cmake,
+Build-Depends: cdbs (>= 0.4.39-0.1), debhelper (>= 9~), quilt, cmake,
  tdelibs14-trinity-dev, tdepim-trinity-dev, libpisock-dev
 Standards-Version: 3.8.4

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include debian/cdbs/debian-tde.mk

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DBUILD_ALL="ON" \
 -DWITH_ALL_OPTIONS="ON"

DEB_MAKE_CHECK_TARGET = check

## kpilot-trinity 14.0.9

=== debian/changelog ===
kpilot-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 09 Oct 2020 11:10:30 +0200

## kpilot-trinity 14.0.10

=== debian/changelog ===
kpilot-trinity (4:14.0.10-0ubuntu19.10.0+0) eoan; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: kpilot-trinity
 Section: tde
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net> 
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 Build-Depends: cdbs (>= 0.4.39-0.1), debhelper (>= 9~), quilt, cmake,
  tdelibs14-trinity-dev, tdepim-trinity-dev, libpisock-dev
 Standards-Version: 3.8.4

## kpilot-trinity 14.0.11

=== CMakeLists.txt ===
#################################################
#
#  (C) 2019 Slávek Banko
#  slavek.banko (AT) axis.cz
#
#  Improvements and feedbacks are welcome
#
#  This file is released under GPL >= 3
#
#################################################

cmake_minimum_required( VERSION 2.8.12 )


#### general package setup ######################

project( kpilot )
set( VERSION R14.0.11 )


#### include essential cmake modules ############

include( FindPkgConfig )
include( CheckCSourceCompiles )
include( CheckCXXSourceCompiles )
include( CheckIncludeFile )
include( CheckFunctionExists )
include( CheckLibraryExists )
include( CheckSymbolExists )
enable_testing( )

#### include our cmake modules ##################

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths #######################

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff ############################

option( WITH_ALL_OPTIONS "Enable all optional support" OFF )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules ####################

option( BUILD_ALL "Build all" ON )
option( BUILD_DOC "Build documentation" ${BUILD_ALL} )
option( BUILD_TRANSLATIONS "Build translations" ${BUILD_ALL} )


##### configure checks ##########################

include( ConfigureChecks.cmake )


###### global compiler settings #################

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories ###############################

add_subdirectory( lib )
add_subdirectory( kpilot )
add_subdirectory( conduits )
add_subdirectory( tests )

tde_conditional_add_subdirectory( BUILD_DOC doc )
tde_conditional_add_subdirectory( BUILD_TRANSLATIONS po )


##### write configure files #####################

configure_file( config.h.cmake config.h @ONLY )

=== debian/changelog ===
kpilot-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#kpilot

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 08 Jul 2021 00:35:07 +0200

## kpilot-trinity 14.0.12

=== debian/changelog ===
kpilot-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#kpilot

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 24 Apr 2022 23:41:14 +0200

## kpilot-trinity 14.0.13

=== debian/changelog ===
kpilot-trinity (4:14.0.13-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#kpilot

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 30 Sep 2022 03:51:33 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tde
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
-Build-Depends: cdbs (>= 0.4.39-0.1), debhelper (>= 9~), quilt, cmake,
+Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake-trinity, ninja-build,
  tdelibs14-trinity-dev, tdepim-trinity-dev, libpisock-dev
 Standards-Version: 3.8.4

## kpilot-trinity 14.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,13 +9,12 @@
 #
 #################################################
 
-cmake_minimum_required( VERSION 2.8.12 )
+cmake_minimum_required( VERSION 3.1 )
 
 
 #### general package setup ######################
 
 project( kpilot )
-set( VERSION R14.0.11 )
 
 
 #### include essential cmake modules ############
@@ -31,8 +30,12 @@
 
 #### include our cmake modules ##################
 
-set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
 include( TDEMacros )
+
+
+##### set version number ########################
+
+tde_set_project_version( )
 
 
 ##### setup install paths #######################
@@ -75,8 +78,8 @@
 add_subdirectory( conduits )
 add_subdirectory( tests )
 
-tde_conditional_add_subdirectory( BUILD_DOC doc )
-tde_conditional_add_subdirectory( BUILD_TRANSLATIONS po )
+tde_conditional_add_project_docs( BUILD_DOC )
+tde_conditional_add_project_translations( BUILD_TRANSLATIONS )
 
 
 ##### write configure files #####################

=== debian/changelog ===
kpilot-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#kpilot

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

## kpilot-trinity 14.1.1

=== debian/changelog ===
kpilot-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#kpilot

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 28 Sep 2023 04:40:09 +0200

## kpilot-trinity 14.1.2

=== debian/changelog ===
kpilot-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#kpilot

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 22 Apr 2024 00:31:48 +0200

## kpilot-trinity 14.1.3

=== debian/changelog ===
kpilot-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#kpilot

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Oct 2024 12:45:51 +0200

## kpilot-trinity 14.1.4

=== debian/changelog ===
kpilot-trinity (4:14.1.4-0ubuntu22.04.0+0) jammy; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#kpilot

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tde
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake-trinity, ninja-build,
+Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build,
  tdelibs14-trinity-dev, tdepim-trinity-dev, libpisock-dev
 Standards-Version: 3.8.4

## kpilot-trinity 14.1.5~pre1

=== debian/changelog ===
kpilot-trinity (4:14.1.5~pre1-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 7de33020152c637f138316c4ad366bb5790ae210
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kpilot

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kpilot-trinity 14.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,12 @@
 #
 #################################################
 
-cmake_minimum_required( VERSION 3.1 )
+
+##### set project version ########################
+
+include( TDEVersion )
+cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
+tde_set_project_version( )
 
 
 #### general package setup ######################
@@ -31,11 +36,6 @@
 #### include our cmake modules ##################
 
 include( TDEMacros )
-
-
-##### set version number ########################
-
-tde_set_project_version( )
 
 
 ##### setup install paths #######################

=== tests/CMakeLists.txt ===
#################################################
#
#  (C) 2019 Michele Calgaro
#  michele (DOT) calgaro (AT) yahoo (DOT) it
#
#  Improvements and feedbacks are welcome
#
#  This file is released under GPL >= 3
#
#################################################

include_directories(
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/lib
  ${CMAKE_BINARY_DIR}/lib
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)

link_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/lib
)

# Tests don't need to go into toplevel/bin, they are fine in the current dir.
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

tde_add_check_executable( testconstants
  SOURCES testconstants.cpp
  LINK kpilot-shared ${TQT_LIBRARIES}
  TEST
)

tde_add_check_executable( testcategories
  SOURCES testcategories.cpp
  LINK kpilot-shared ${TQT_LIBRARIES}
  TEST
)

tde_add_check_executable( testaddresses
  SOURCES testaddress.cpp
  LINK kpilot-shared ${TQT_LIBRARIES}
  TEST
)

tde_add_check_executable( testdatebook
  SOURCES testdatebook.cpp
  LINK kpilot-shared ${TQT_LIBRARIES}
  TEST
)

tde_add_check_executable( importaddresses
  SOURCES importaddresses.cpp
  LINK kpilot-shared tdeabc-shared tdeabc_file-shared ${TQT_LIBRARIES}
)
add_test(importaddresses ${EXECUTABLE_OUTPUT_PATH}/importaddresses --data-dir "${CMAKE_CURRENT_BINARY_DIR}" --address-file "${CMAKE_CURRENT_SOURCE_DIR}/data/AddressDB.pdb")

if (HAVE_CALENDARLOCAL_H)
	tde_add_check_executable( importdatebook
		SOURCES importdatebook.cpp
		LINK kpilot-shared kcal-shared ${TQT_LIBRARIES}
	  TEST
	)

	tde_add_check_executable( exportdatebook
		SOURCES exportdatebook.cpp
		LINK kpilot-shared kcal-shared ${TQT_LIBRARIES}
	  TEST
	)

	tde_add_check_executable( mergecalendars
		SOURCES mergecalendars.cpp
		LINK kpilot-shared kcal-shared ${TQT_LIBRARIES}
	  TEST
	)
endif (HAVE_CALENDARLOCAL_H)

=== conduits/docconduit/CMakeLists.txt ===

add_subdirectory( Icons )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/lib
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### palmdoc (static) ##########################

tde_add_library( palmdoc STATIC_PIC AUTOMOC
  SOURCES makedoc9.cpp pilotDOCHead.cpp
    pilotDOCEntry.cpp pilotDOCBookmark.cpp
    DOC-converter.cpp
)


##### kpalmdoc (executable) #####################

tde_add_executable( kpalmdoc AUTOMOC
  SOURCES kpalmdocSettings.kcfgc kpalmdoc_dlgbase.ui kpalmdoc_dlg.cpp
    kpalmdoc.cpp
  LINK tdecore-shared tdeui-shared tdeio-shared kpilot-shared palmdoc-static
  DESTINATION ${BIN_INSTALL_DIR}
)


##### conduit_doc (kpart) #######################

tde_add_kpart( conduit_doc AUTOMOC
  SOURCES docconduitSettings.kcfgc doc-factory.cpp doc-setup.cpp doc-conduit.cpp
    doc-setupdialog.ui doc-conflictdialog.cpp
  LINK kpilot-shared tdeui-shared palmdoc-static
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kpalmdoc.desktop
  DESTINATION ${XDG_APPS_INSTALL_DIR}
)

install( FILES kpalmdoc.upd
  DESTINATION ${DATA_INSTALL_DIR}/tdeconf_update
)

tde_create_translated_desktop(
  SOURCE doc_conduit.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
)

install( FILES docconduit.kcfg kpalmdoc.kcfg
  DESTINATION ${KCFG_INSTALL_DIR}
)

=== conduits/knotes/CMakeLists.txt ===

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/lib
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)

tde_import( libkmime )
tde_import( ktnef )
tde_import( libkcal )


##### conduit_knotes (kpart) ####################

tde_add_kpart( conduit_knotes AUTOMOC
  SOURCES knotesconduitSettings.kcfgc knotes-factory.cpp
    knotes-setup.cpp knotes-action.cpp setup_base.ui
  LINK kpilot-shared tdeui-shared kcal-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE knotes-conduit.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
)

install( FILES knotesconduit.kcfg
  DESTINATION ${KCFG_INSTALL_DIR}
)

=== conduits/malconduit/CMakeLists.txt ===

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/lib
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### conduit_mal (kpart) #######################

tde_add_kpart( conduit_mal AUTOMOC
  SOURCES malconduitSettings.kcfgc mal-setup_dialog.ui
    mal-factory.cpp mal-setup.cpp mal-conduit.cpp
  LINK kpilot-shared tdeui-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE mal_conduit.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
)

install( FILES malconduit.kcfg
  DESTINATION ${KCFG_INSTALL_DIR}
)

=== conduits/notepadconduit/CMakeLists.txt ===

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/lib
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### conduit_notepad (kpart) ###################

tde_add_kpart( conduit_notepad AUTOMOC
  SOURCES notepadconduit.kcfgc notepad-setup.ui
    notepad-conduit.cpp notepad-factory.cpp
  LINK kpilot-shared tdeui-shared tdeio-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE notepad-conduit.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
)

=== conduits/sysinfoconduit/CMakeLists.txt ===

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/lib
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### conduit_sysinfo (kpart) ###################

tde_add_kpart( conduit_sysinfo AUTOMOC
  SOURCES sysinfoSettings.kcfgc sysinfo-factory.cpp sysinfo-setup.cpp
    sysinfo-conduit.cpp sysinfo-setup_dialog.ui
  LINK kpilot-shared tdeui-shared tdeio-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

install( FILES Template.html Template.txt
  DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}/sysinfoconduit
)

tde_create_translated_desktop(
  SOURCE sysinfo_conduit.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
)

install( FILES sysinfoconduit.kcfg
  DESTINATION ${KCFG_INSTALL_DIR}
)

=== conduits/timeconduit/CMakeLists.txt ===

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/lib
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### conduit_time (kpart) ######################

tde_add_kpart( conduit_time AUTOMOC
  SOURCES timeConduitSettings.kcfgc time-factory.cpp time-setup.cpp
    time-conduit.cpp time-setup_dialog.ui
  LINK kpilot-shared tdeui-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE time_conduit.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
)

install( FILES timeconduit.kcfg
  DESTINATION ${KCFG_INSTALL_DIR}
)

=== conduits/vcalconduit/CMakeLists.txt ===

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/lib
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)

tde_import( libkmime )
tde_import( ktnef )
tde_import( libkcal )


##### vcalconduit (static) ######################

tde_add_library( vcalconduit STATIC_PIC AUTOMOC
  SOURCES vcalconduitSettings.kcfgc korganizerConduit.ui
    kcalRecord.cpp vcal-setupbase.cpp vcal-conduitbase.cpp
    cleanupstate.cpp deleteunsyncedhhstate.cpp
    deleteunsyncedpcstate.cpp hhtopcstate.cpp
    initstate.cpp pctohhstate.cpp teststate.cpp
)


##### conduit_vcal (kpart) ######################

tde_add_kpart( conduit_vcal AUTOMOC
  SOURCES vcal-conduit.cpp vcalRecord.cpp vcal-factory.cpp vcal-setup.cpp
  LINK kpilot-shared kcal-shared tderesources-shared vcalconduit-static
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### conduit_todo (kpart) ######################

tde_add_kpart( conduit_todo AUTOMOC
  SOURCES todo-conduit.cpp todoRecord.cpp todo-factory.cpp todo-setup.cpp
  LINK kpilot-shared kcal-shared tderesources-shared vcalconduit-static
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE vcal-conduit.desktop todo-conduit.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
)

install( FILES vcalconduitbase.kcfg
  DESTINATION ${KCFG_INSTALL_DIR}
)

=== debian/changelog ===
kpilot-trinity (4:14.1.5-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kpilot

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kpilot-trinity 14.1.6~pre0

=== debian/changelog ===
kpilot-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 7de33020152c637f138316c4ad366bb5790ae210
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kpilot

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kpilot-trinity 14.1.6~pre1

=== debian/changelog ===
kpilot-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 3dfa98f584afad7b06226ac24478d1be76dd4206
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kpilot

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:54:48 +0100

## kpilot-trinity 14.1.6~pre2

=== debian/control ===
Source: kpilot-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
Build-Depends: cdbs, tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build,
 tdelibs14-trinity-dev, tdepim-trinity-dev, libpisock-dev
Standards-Version: 3.8.4

Package: kpilot-trinity
Section: utils
Architecture: any
Replaces: kpilot-kde3 (<< 4:14.0.0~)
Breaks: kpilot-kde3 (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf (>= 0.5) | debconf-2.0
Suggests: knotes-trinity, korganizer-trinity
Description: TDE Palm Pilot hot-sync tool
 KPilot is an application that synchronizes your Palm Pilot or similar device
 (like the Handspring Visor) with your Trinity desktop, much like the Palm
 HotSync software does for Windows.  KPilot can back-up and restore your Palm
 Pilot and synchronize the built-in applications with their TDE counterparts.

## kpilot-trinity 14.2.0~pre47

=== lib/CMakeLists.txt ===

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)

tde_import( libkmime )
tde_import( ktnef )
tde_import( libkcal )


##### kpilot (shared) ###########################

tde_add_library( kpilot SHARED AUTOMOC
  SOURCES kpilotlibSettings.kcfgc options.cpp plugin.cpp syncAction.cpp
    kpilotlink.cpp kpilotdevicelink.cpp kpilotlocallink.cpp actions.cpp
    actionQueue.cpp pilot.cpp pilotAppInfo.cpp pilotRecord.cpp pilotDatabase.cpp
    pilotLocalDatabase.cpp pilotSerialDatabase.cpp pilotMemo.cpp pilotAddress.cpp
    pilotDateEntry.cpp pilotTodoEntry.cpp
  LINK tdeui-shared tdecore-shared tdeio-shared tdeabc-shared kcal-shared
    ${PILOTLINK_LIBRARIES}
  VERSION 0.0.0
  DESTINATION ${LIB_INSTALL_DIR}
)


##### other data ################################

install( FILES kpilotlib.kcfg
  DESTINATION ${KCFG_INSTALL_DIR}
)

install(
  FILES
    kpilotlink.h kpilotlocallink.h kpilotdevicelink.h pilot.h pilotDatabase.h
    pilotLinkVersion.h pilotLocalDatabase.h pilotRecord.h pilotSerialDatabase.h
    plugin.h pluginfactory.h syncAction.h
  DESTINATION
    ${INCLUDE_INSTALL_DIR}/${PROJECT_NAME}
)

=== debian/changelog ===
kpilot-trinity (4:14.2.0~pre47-0ubuntu24.04.0+6) noble; urgency=low

  * Automated git build for 6bb3e52c36be3cecb9e36288449705264a5211fd
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kpilot

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

=== debian/control ===
Source: kpilot-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build,
 tdelibs14-trinity-dev, tdepim-trinity-dev, libpisock-dev
Standards-Version: 3.8.4

Package: kpilot-trinity
Section: utils
Architecture: any
Replaces: kpilot-kde3 (<< 4:14.0.0~), kpilot-trinity (<< 4:14.0.0~)
Breaks: kpilot-kde3 (<< 4:14.0.0~), kpilot-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf (>= 0.5) | debconf-2.0
Suggests: knotes-trinity, korganizer-trinity
Description: TDE Palm Pilot hot-sync tool
 KPilot is an application that synchronizes your Palm Pilot or similar device
 (like the Handspring Visor) with your Trinity desktop, much like the Palm HotSync
 software does for Windows.  KPilot can back-up and restore your Palm Pilot
 and synchronize the built-in applications with their TDE counterparts.

Package: kpilot-trinity-dbg
Priority: extra
Architecture: any
Depends: kpilot-trinity (= ${binary:Version})
Recommends: tdelibs-trinity-dbg
Description: debugging symbols for the TDE Palm Pilot hot-sync tool
 This package provides debugging symbols for all binary packages built from the
 kpilot-trinity source package. It's highly recommended to have this package installed
 before reporting any kpilot-trinity crashes to either the TDE developers or Debian
 package maintainers.

## kpilot-trinity 14.2.0~pre48

=== debian/changelog ===
kpilot-trinity (4:14.2.0~pre48-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for ebfd881a3e9e75d2b9acb1f9b62f81034649f25b
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kpilot

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:02:27 +0100
